Data Fields

# Command Struct Reference

Define a command with the flags which belongs to it. More...

`#include <command_type.h>`

## Data Fields
CommandProc * | proc
| The procedure to actually executing.
const char * | name
| A human readable name for the procedure.
CommandFlags | flags
| The (command) flags to that apply to this command.
CommandType | type
| The type of command.

## Detailed Description

Define a command with the flags which belongs to it.

This struct connect a command handler function with the flags created with the CMD_AUTO, CMD_OFFLINE and CMD_SERVER values.

Definition at line 422 of file command_type.h.

The documentation for this struct was generated from the following file:

- src/command_type.h